---

#! /db/releases/20241121203007/lkp-src/jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: mm
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-csl-d01
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-mm-2-debian-12-x86_64-20240206.cgz-e93d2521b27f-20241225-1595940-y91ur6-2.yaml"
id: '0546580550e1638e3e50116094d3f15b7b675665'
queuer_version: "/lkp/xsang/.src-20241223-105410"

#! /db/releases/20241121203007/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20241121203007/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20241121203007/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20241121203007/lkp-src/include/queue/cyclic
commit: e93d2521b27f0439872dfa4e4b92a9be6d73496f

#! /db/releases/20241121203007/lkp-src/include/testbox/lkp-csl-d01
netconsole_port: 6685
ucode: '0x5003604'
sysctl:
  sc_nr_hugepages: 2

#! /db/releases/20241121203007/lkp-src/include/kernel-selftests
need_kernel_version:
- ">= v6.3-rc1, gcc"
- ">= v6.3-rc1, clang"
need_kconfig:
- DEVICE_PRIVATE: "y"
- GUP_BENCHMARK: "y"
- GUP_TEST: "y"
- MEM_SOFT_DIRTY: y, x86_64
- CHECKPOINT_RESTORE: "y"
- EXPERT: "y"
- PROC_FS: "y"
- PTE_MARKER_UFFD_WP
- SYSVIPC: "y"
- TEST_HMM: m
- TEST_VMALLOC: m
- TRANSPARENT_HUGEPAGE: "y"
- USERFAULTFD: "y"
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-kselftests
enqueue_time: 2024-12-25 22:35:12.328033148 +08:00
_rt: "/result/kernel-selftests/mm-2/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f"
compiler: gcc-12
head_commit: e7692a1e8b128aee0eafceba5fd69715073cc682
base_commit: adc218676eef25575469234709c2d87185ca223a
branch: linux-devel/devel-hourly-20241119-150947
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20241212-153134"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/mm-2/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/vmlinuz-6.12.0-rc2-00033-ge93d2521b27f
- branch=linux-devel/devel-hourly-20241119-150947
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-mm-2-debian-12-x86_64-20240206.cgz-e93d2521b27f-20241225-1595940-y91ur6-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kselftests
- commit=e93d2521b27f0439872dfa4e4b92a9be6d73496f
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20241208.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-7503345ac5f5-1_20241208.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241122203738/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-mm-2-debian-12-x86_64-20240206.cgz-e93d2521b27f-20241225-1595940-y91ur6-2.cgz"
last_kernel: 6.12.0-rc2-00032-g05a6b8c190f0

#! user overrides

#! /db/releases/20241123191134/lkp-src/include/site/inn
kernel: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/vmlinuz-6.12.0-rc2-00033-ge93d2521b27f"
result_root: "/result/kernel-selftests/mm-2/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/e93d2521b27f0439872dfa4e4b92a9be6d73496f/0"

#! /db/releases/20241224141430/lkp-src/include/site/inn
dequeue_time: 2024-12-26 02:21:33.270500574 +08:00
acpi_rsdp: ''
job_state: finished
loadavg: 1.65 2.00 1.11 2/426 32261
start_time: '1735151039'
end_time: '1735151412'
version: "/lkp/lkp/.src-20241212-153134:39764b117979:42c8d5d500c7"
